/**
 * COOKIES: Read and Write
 * Plugin Admin Cookies
 * Developed by Github
 */
var createCookie = function(name, value, days) {
    var expires;
    if (days) {
        var date = new Date();
        date.setTime(date.getTime() + (days * 24 * 60 * 60 * 1000));
        expires = "; expires=" + date.toGMTString();
    }
    else {
        expires = "";
    }
    document.cookie = name + "=" + value + expires + "; path=/";
}

function getCookie(c_name) {
    if (document.cookie.length > 0) {
        c_start = document.cookie.indexOf(c_name + "=");
        if (c_start != -1) {
            c_start = c_start + c_name.length + 1;
            c_end = document.cookie.indexOf(";", c_start);
            if (c_end == -1) {
                c_end = document.cookie.length;
            }
            return unescape(document.cookie.substring(c_start, c_end));
        }
    }
    return "";
}



/**
 * REPORT VIDEO - PLUGIN JS
 * V.1.0.1 Developed by CesarDpaz@torothemes.com
 * url: #
 * Compatible with ErozTheme
 * report with cookie user
 * For user no loggin
 */
 jQuery(document).ready(function($){
    $.reportVideo = function(option){
        option = $.extend({
            container   : "#form-report",
            error_text  : erozPublic.report_error_text,
            send_text   : erozPublic.report_send_text,
            send_text_correct   : erozPublic.report_send_text_correct,
            write_reason   : erozPublic.report_write_reason,
            duplicate_report_text : erozPublic.report_duplicate_report_text
        }, option);

        var $container_button = $(option.container),
            html_button = '<button type="submit">'+ option.send_text +'</button>';
        $container_button.append(html_button); //Add button to HTML

        function clean_messages_report(){
            $('.error-send-report').remove();
            $('.error-duplicate-report').remove();
        }

        $container_button.on('submit', function(event) {
            event.preventDefault();
            var $this = $(this),
                id_post = $this.data('id'),
                reason = $this.find('input[name="radio2"]:checked').val();

            /*Prevent double report per user*/
            var cookie_report = getCookie('report_eroz');
            if( cookie_report == id_post) {
                clean_messages_report();
                var html = '';
                html += '<p class="licence-bx-no">';
                html += '<span class="fa-times"></span>' + option.duplicate_report_text;
                html += '</p>';
                $container_button.append(html);
                setTimeout(function() {
                    $.when($('.licence-bx-no').fadeOut(1000)).done(function() {
                         $(".licence-bx-no").remove();
                    });
                },2000);
                //$container_button.append('<div class="error-send-report">' + option.duplicate_report_text + '</div>');
                return;
            }

            /*Prevent dont choose reason*/
            if(!reason){
                clean_messages_report()
                var html = '';
                html += '<p class="licence-bx-no">';
                html += '<span class="fa-times"></span>' + option.error_text;
                html += '</p>';
                $container_button.append(html);
                setTimeout(function() {
                    $.when($('.licence-bx-no').fadeOut(1000)).done(function() {
                         $(".licence-bx-no").remove();
                    });
                },2000);
                
                return;
            }

            if(reason == 'Other') {
                reason = $('#reason_text').val();

                if($('#reason_text').val() == '') {
                    var html = '';
                    html += '<p class="licence-bx-no">';
                    html += '<span class="fa-times"></span>' + option.write_reason;
                    html += '</p>';
                    $container_button.append(html);
                    setTimeout(function() {
                        $.when($('.licence-bx-no').fadeOut(1000)).done(function() {
                             $(".licence-bx-no").remove();
                        });
                    },2000);
                    
                    return;
                }
            }

            $('.error-send-report').remove();
            $.ajax({
                url     : erozPublic.url,
                method      : 'POST',
                dataType    : 'json',
                data     : {
                    action      : 'action_eroz_send_report',
                    nonce       : erozPublic.nonce,
                    id_post     : id_post,
                    reason      : reason
                }, 
                success: function( data ) {
                    console.log(data);
                    var html = '';
                    html += '<p class="licence-bx-ok">';
                    html += '<span class="fa-check"></span>' + option.send_text_correct;
                    html += '</p>';
                    $('#form-report').append(html);
                    createCookie('report_eroz', id_post);

                    setTimeout(function() {
                        $.when($('.licence-bx-ok').fadeOut(1000)).done(function() {
                             $(".licence-bx-ok").remove();
                        });
                    },2000);

                    
                }
            });
            
        });
    };
})
 



/**
 * VOTE POST - PLUGIN JS
 * V.1.0.1 Developed by CesarDpaz@torothemes.com
 * url: #
 * Compatible with ErozTheme
 * report with cookie user
 * For user no loggin
 */
 jQuery(document).ready(function($){
    $.voteVideo = function(option){
        option = $.extend({
            duplicate_vote_text : erozPublic.vote_duplicate_vote_text,
            send_text_correct   : erozPublic.vote_send_text_correct
        }, option);


        //Like post
        $('#like-post').on('click', function(event) {
            event.preventDefault();
            var id_post = $(this).data('id');

            /*Prevent double report per user*/
            var cookie_vote = getCookie('vote_eroz');
            if( cookie_vote == id_post) {

                var html = '';
                html += '<p class="licence-bx-no">';
                html += '<span class="fa-times"></span>' + option.duplicate_vote_text;
                html += '</p>';
                $('.Options.Ul').parent().append(html);
                setTimeout(function() {
                    $.when($('.licence-bx-no').fadeOut(1000)).done(function() {
                         $(".licence-bx-no").remove();
                    });
                },2000);
                return;
            }

            $.ajax({
                url     : erozPublic.url,
                method     : 'POST',
                dataType    : 'json',
                data     : {
                    action      : 'action_eroz_send_vote',
                    nonce       : erozPublic.nonce,
                    id_post     : id_post,
                    type        : 'like'
                }, 
                success: function( data ) {
                    createCookie('vote_eroz', id_post);
                    console.log(data.percent);
                    $('.percnt > div').css('width', data.percent);
                    $('#txtmt strong').text(data.total);
                    $('.numper > strong').text(data.percent);
                    var html = '';
                    html += '<p class="licence-bx-ok">';
                    html += '<span class="fa-check"></span>' + option.send_text_correct;
                    html += '</p>';
                    $('.Options.Ul').parent().append(html);
                    setTimeout(function() {
                        $.when($('.licence-bx-ok').fadeOut(1000)).done(function() {
                             $(".licence-bx-ok").remove();
                        });
                    },2000);
                    
                }
            })
        });

        //unLike post
        $('body').on('click', '#unlike-post', function(event) {
            event.preventDefault();
            var id_post = $(this).data('id');

            /*Prevent double report per user*/
            var cookie_vote = getCookie('vote_eroz');
            if( cookie_vote == id_post) {
                var html = '';
                html += '<p class="licence-bx-no">';
                html += '<span class="fa-times"></span>' + option.duplicate_vote_text;
                html += '</p>';
                $('.Options.Ul').parent().append(html);
                setTimeout(function() {
                    $.when($('.licence-bx-no').fadeOut(1000)).done(function() {
                         $(".licence-bx-no").remove();
                    });
                },2000);
                return;
            }
            $.ajax({
                url     : erozPublic.url,
                method     : 'POST',
                dataType    : 'json',
                data     : {
                    action      : 'action_eroz_send_vote',
                    nonce       : erozPublic.nonce,
                    id_post     : id_post,
                    type        : 'unlike'
                }, 
                success: function( data ) {
                    createCookie('vote_eroz', id_post);
                    $('.percnt > div').css('width', data.percent);
                    $('#txtmt strong').text(data.total);
                    $('.numper > strong').text(data.percent);
                    var html = '';
                    html += '<p class="licence-bx-ok">';
                    html += '<span class="fa-check"></span>' + option.send_text_correct;
                    html += '</p>';
                    $('.Options.Ul').parent().append(html);
                    setTimeout(function() {
                        $.when($('.licence-bx-ok').fadeOut(1000)).done(function() {
                             $(".licence-bx-ok").remove();
                        });
                    },2000);
                }
            })
        });
    };
})



/**
 * FUNCTIONS JS - After load document
 */
jQuery(document).ready(function($){
	
    /*Dropdown*/
    $('.AADrpd').each(function() {
        var $AADrpdwn = $(this);
        $('.AALink', $AADrpdwn).click(function(e){
          e.preventDefault();
          $AADrpdDv = $('.AACont', $AADrpdwn);
          $AADrpdDv.parent('.AADrpd').toggleClass('on');
          $('.AACont').not($AADrpdDv).parent('.AADrpd').removeClass('on');
          return false;
        });
    });
    $(document).on('click', function(e){
        if ($(e.target).closest('.AACont').length === 0) {
            $('.AACont').parent('.AADrpd').removeClass('on');
        }
    });
       
    /*Toggle*/
    $('.AATggl').on('click', function(){
        var shwhdd = $(this).attr('data-tggl');
        $('#'+shwhdd).toggleClass('on');
        $(this).toggleClass('on');
    });
    
    /*Accordion*/
    $('.AACrdn').find('.AALink').click(function(){
        $(this).toggleClass('on');
        $('.AALink').not($(this)).removeClass('on');
    });
    
    /*menu-item-has-children*/
    $('.menu-item-has-children').append('<i class="fa-chevron-down"></i>');
    $('.menu-item-has-children>i').click(function(a){
        a.preventDefault();
        var b=$(this);
        if(b.parent().hasClass('on')){
            b.parent().removeClass('on');
        }
        else{
            b.parent().parent().find('.menu-item-has-children').removeClass('on');
            b.parent().toggleClass('on');
        }
    });
    
    /*SelectBox*/
    $('.SelectBox').on('click', function(e){
        $(this).toggleClass('on');
        e.stopPropagation();
    });
    $('.SelectBox ul li').on('click', function() {
        var v = $(this).text();
        $('.SelectBox ul li').not($(this)).removeClass('on');
        $(this).addClass('on');
        $('.SelectBox>span').text(v)
    });    
    $(document).click(function() {
        $('.SelectBox').removeClass('on');
    });


    /*Cookies Show*/
    if(erozPublic.cookie_enabled == 1) {
        var cookie = getCookie('cookie_accept');
        if(cookie != 'accept') {
            var html = '';
            html += ' <div class="Cookies Row DX Nsp" data-ttico="warning">';
            html += ' <p class="title">' + erozPublic.cookie_text + '</p>';
            if(erozPublic.cookie_url_page != '' && erozPublic.cookie_text_page != ''){
            html += ' <span class="Auto"><a href="' + erozPublic.cookie_url_page + '" class="Button A">' + erozPublic.cookie_text_page + '</a></span>';
            }
            html += ' <span class="Auto"><a href="javascript:void(0)" class="Button A cookie_accept">' + erozPublic.cookie_btn_accept_text + '</a></span>';
            html += ' </div>';
            $('.precook').prepend(html);
        }
    }

    /*Cookies Accept*/
    $('body').on('click', '.cookie_accept', function(event) {
        event.preventDefault();
        createCookie('cookie_accept', 'accept');
        $('.Cookies').remove();
    });


    $('#post-share').on('click', function(event) {
        event.preventDefault();
        $('.EzHdCn').removeClass('on');
        $('#post-report').removeClass('on');
        if($(this).hasClass('on')){
            $(this).removeClass('on');
            $('#EzShare').removeClass('on');
        } else {
            $(this).addClass('on');
            $('#EzShare').addClass('on');
        }
    });

    $('#post-report').on('click', function(event) {
        event.preventDefault();
        $('.EzHdCn').removeClass('on');
        $('#post-share').removeClass('on');
        if($(this).hasClass('on')){
            $(this).removeClass('on');
            $('#EzReport').removeClass('on');
        } else {
            $(this).addClass('on');
            $('#EzReport').addClass('on');
        }
    });


    $('.Player .Button').on('click', function(event) {
        event.preventDefault();
        $('.Player').removeClass('Pause');
    });



   


    /*Report Video*/
    $.reportVideo();
    /*Vote Video*/
    $.voteVideo();

    
});